"""
Expose configure script part
"""
from cli.configure import configure_entry
from cli.build import build_entry
from cli.install import install_entry
from cli.uninstall import uninstall_entry

__all__ = [
    'configure',
    'build',
    'install',
    'uninstall',
]

#---
# Public
#---

def configure(argv):
    """ invoke configuration script """
    return configure_entry(argv)

def build(argv):
    """ invoke build script """
    return build_entry(argv)

def install(argv):
    """ invoke install script """
    return install_entry(argv)

def uninstall(argv):
    """ invoke uninstall script """
    return uninstall_entry(argv)
